import { FC } from 'react';
import type { FormFieldInput, FormFieldTextarea, FormFieldBoolean, FormFieldFile, FormFieldSelect, FormFieldSelectSearch } from '../models';
type PrivateOnChange = () => void;
interface FormFieldInputProps extends FormFieldInput {
    onChange?: PrivateOnChange;
}
export declare const FormFieldInputComp: FC<FormFieldInputProps>;
interface FormFieldTextareaProps extends FormFieldTextarea {
    onChange?: PrivateOnChange;
}
export declare const FormFieldTextareaComp: FC<FormFieldTextareaProps>;
interface FormFieldBooleanProps extends FormFieldBoolean {
    onChange?: PrivateOnChange;
}
export declare const FormFieldBooleanComp: FC<FormFieldBooleanProps>;
interface FormFieldFileProps extends FormFieldFile {
    onChange?: PrivateOnChange;
}
export declare const FormFieldFileComp: FC<FormFieldFileProps>;
interface FormFieldSelectProps extends FormFieldSelect {
    onChange?: PrivateOnChange;
}
export declare const FormFieldSelectComp: FC<FormFieldSelectProps>;
export declare const FormFieldSelectVanillaComp: FC<FormFieldSelectProps>;
export declare const FormFieldSelectReactComp: FC<FormFieldSelectProps>;
interface FormFieldSelectSearchProps extends FormFieldSelectSearch {
    onChange?: PrivateOnChange;
}
export declare const FormFieldSelectSearchComp: FC<FormFieldSelectSearchProps>;
export type FormFieldProps = FormFieldInputProps | FormFieldTextareaProps | FormFieldBooleanProps | FormFieldFileProps | FormFieldSelectProps | FormFieldSelectSearchProps;
export {};
