import { createContext, useContext } from 'react';
export const ConfigContext = createContext({ APIRootUrl: '' });
export const useCustomRender = (props) => {
    const { customRender } = useContext(ConfigContext);
    if (customRender) {
        return customRender(props);
    }
};
