import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { asTitle } from '../tools';
import { useClassName } from '../hooks/className';
import { DisplayComp, renderEvent } from './display';
export const DetailsComp = (props) => (_jsx("dl", { className: useClassName(props), children: props.fields.map((field, id) => (_jsx(FieldDetail, { props: props, fieldDisplay: field }, id))) }));
const FieldDetail = ({ props, fieldDisplay }) => {
    const { field, title, onClick, ...rest } = fieldDisplay;
    const value = props.data[field];
    const renderedOnClick = renderEvent(onClick, props.data);
    return (_jsxs(_Fragment, { children: [_jsx("dt", { className: useClassName(props, { el: 'dt' }), children: title ?? asTitle(field) }), _jsx("dd", { className: useClassName(props, { el: 'dd' }), children: _jsx(DisplayComp, { type: "Display", onClick: renderedOnClick, value: value || null, ...rest }) })] }));
};
