import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useClassName } from '../hooks/className';
import { LinkComp } from './link';
export const FooterComp = (props) => {
    const links = props.links.map((link) => {
        link.mode = link.mode || 'footer';
        return link;
    });
    const extraTextClassName = useClassName(props, { el: 'extra' });
    return (_jsxs("footer", { className: useClassName(props), children: [links.map((link, i) => (_jsx(LinkComp, { ...link }, i))), props.extraText && _jsx("div", { className: extraTextClassName, children: props.extraText })] }));
};
