import { FC } from 'react';
import type { FastProps, Display, Text, ServerLoad, PageTitle, FireEvent } from '../models';
import { TextComp } from './text';
import { ParagraphComp } from './paragraph';
import { PageTitleComp } from './PageTitle';
import { DivComp } from './div';
import { HeadingComp } from './heading';
import { MarkdownComp } from './Markdown';
import { CodeComp } from './Code';
import { FormComp } from './form';
import { FormFieldInputComp, FormFieldBooleanComp, FormFieldSelectComp, FormFieldSelectSearchComp, FormFieldFileComp } from './FormField';
import { ButtonComp } from './button';
import { LinkComp, LinkRender } from './link';
import { LinkListComp } from './LinkList';
import { NavbarComp } from './navbar';
import { ModalComp } from './modal';
import { TableComp } from './table';
import { PaginationComp } from './pagination';
import { DetailsComp } from './details';
import { DisplayComp } from './display';
import { JsonComp } from './Json';
import { FooterComp } from './footer';
import { ServerLoadComp } from './ServerLoad';
import { ImageComp } from './image';
import { IframeComp } from './Iframe';
import { VideoComp } from './video';
import { FireEventComp } from './FireEvent';
import { ErrorComp } from './error';
import { CustomComp } from './Custom';
export { TextComp, ParagraphComp, PageTitleComp, DivComp, HeadingComp, MarkdownComp, CodeComp, FormComp, FormFieldInputComp, FormFieldBooleanComp, FormFieldSelectComp, FormFieldSelectSearchComp, FormFieldFileComp, ButtonComp, LinkComp, LinkListComp, NavbarComp, ModalComp, TableComp, PaginationComp, DetailsComp, DisplayComp, JsonComp, FooterComp, ServerLoadComp, ImageComp, IframeComp, VideoComp, FireEventComp, ErrorComp, CustomComp, LinkRender, };
export type FastClassNameProps = Exclude<FastProps, Text | Display | ServerLoad | PageTitle | FireEvent>;
export declare const AnyCompList: FC<{
    propsList: FastProps[];
}>;
export declare const AnyComp: FC<FastProps>;
