import type { PageEvent, AnyEvent } from './models';
import { ContextType } from './hooks/eventContext';
export interface PageEventDetail {
    clear: boolean;
    context?: ContextType;
}
export declare function useFireEvent(): {
    fireEvent: (event?: AnyEvent) => void;
};
export declare const loadEvent = "fastui:load";
export interface LoadEventDetail {
    path?: string;
    reloadValue?: number;
}
export declare function fireLoadEvent(detail: LoadEventDetail): void;
interface EventDetails {
    eventContext: ContextType | null;
    fireId: string | null;
    clear: () => void;
}
export declare function usePageEventListen(event?: PageEvent, initialContext?: ContextType | null): EventDetails;
export {};
