import { FC, ReactNode } from 'react';
interface ErrorDetails {
    title: string;
    description: string;
    statusCode?: number;
}
interface ErrorDisplayProps extends ErrorDetails {
    children?: ReactNode;
}
interface ErrorContextType {
    error: ErrorDetails | null;
    setError: (error: ErrorDetails | null) => void;
}
export declare const DisplayError: FC<ErrorDisplayProps>;
export declare const ErrorContext: import("react").Context<ErrorContextType>;
interface Props {
    children: ReactNode;
}
export declare const ErrorContextProvider: FC<Props>;
export {};
